package cz.moneta.test.smoke.itp.ieufotomcat;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import cz.moneta.test.harness.support.auth.Credentials;
import cz.moneta.test.harness.support.auth.Key;

import static cz.moneta.test.harness.annotations.Environment.*;

@TestScenario(name = "Test login to UFO CB on Tomcat application.")
public class LoginToUfoTomcatCb {

    @TestCase(name = "Check login to UFO CB on Tomcat", environments = {TST1, TST3, PPE, FVE})
    public void checkLoginUfoCbTomcat(Harness harness, @Key("ufocb-ctenar") Credentials credentials) {
        harness.withUfo()
                .openLoginPage()
                .typeUserNameAndPasswordAndClickLogin(credentials.getUsername(), credentials.getPassword())
                .onUfoCbPage();
    }
}
